Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.da.controls
Interface DelegationRoleManagerControl

    @ControlInterface
    public interface DelegationRoleManagerControl

DelegationRoleManagerControlBean interface class that contains all the role management calls for Delegated Administration.

Method Summary
`void` | `addGroupsToRole(String roleName, List<String> groups, ResourceContext context)` This method adds multiple groups to a role definition.
`void` | `addGroupToRole(String roleName, String group, ResourceContext context)` This method adds one group to a role definition.
`void` | `addRole(String newRoleName, String newRoleDescription, String parentRoleName, ResourceContext context)` Method used to add/Create a new role.
`void` | `addUsersToRole(String roleName, List<String> users, ResourceContext context)` This method adds multiple users to a role definition.
`void` | `addUserToRole(String roleName, String user, ResourceContext context)` This method adds one user to a role definition.
`void` | `deleteRole(String roleName, ResourceContext context)` Deletes a role from the delegation hierarchy
`Collection<String>` | `getAllRoles(ResourceContext context)` Gets a pruned and sorted list of available Role Policies.
`String` | `getChild(String parent, int index, ResourceContext context)` Gets a child name at a specified index from the parent node.
`List<String>` | `getChildRoles(String parent, ResourceContext context, boolean immediateOnly)` Gets all children of the parent node.
`com.bea.p13n.delegation.common.DelegationHierarchy` | `getDelegationHierarchy(ResourceContext context)` Gets the DelegationHierarchy
`SortableFilterablePagedResult<SecurityPolicyItem>` | `getPolicyRefs(String roleName, int pageSize, ResourceContext context)`
`RolePolicyItem` | `getRoleItem(String role, ResourceContext context)` Getter for the role policy item.
`String` | `getRoot(ResourceContext context)` Getter for the root of the Delegation Hierarchy.
`boolean` | `isLeaf(String node, ResourceContext context)` Determines if a node has more child nodes or not.
`void` | `moveRole(String roleName, String newRoleParent, ResourceContext context)`
`void` | `purgeRole(String roleName, ResourceContext context)` Removes this role from all security policy references and deletes the role.
`void` | `removeGroupFromRole(String roleName, String group, ResourceContext context)` Given a group name this method will remove it from the role definition.
`void` | `removeGroupsFromRole(String roleName, List<String> groups, ResourceContext context)` Given a list of groups this method will remove them from the role definition.
`void` | `removeUserFromRole(String roleName, String user, ResourceContext context)` Given a user name this method will remove it from the role definition.
`void` | `removeUsersFromRole(String roleName, List<String> users, ResourceContext context)` Given a list of users this method will remove them from the role definition.
`void` | `renameRole(String roleName, String newRoleName, ResourceContext context)` Renames a role policy.
`void` | `setDescription(String roleName, String newDescription, ResourceContext context)` Set the description of a role policy.
`void` | `setRoleSegmentLogicalAnd(String roleName, boolean val, ResourceContext context)` Sets the role segment logical and boolean value for a given role.

Method Detail

### addRole

    void addRole(String newRoleName,
                 String newRoleDescription,
                 String parentRoleName,
                 ResourceContext context)
                 throws com.bea.p13n.delegation.management.NodeNotFoundException,
                        com.bea.p13n.delegation.management.NodeNameNotUniqueException,
                        com.bea.p13n.delegation.management.DelegationRoleManagementException

  Method used to add/Create a new role.

  Parameters
    `newRoleName` - Name of the role.
    `newRoleDescription` - Name of the role.
    `parentRoleName` - Name of the parent role.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException`
    `com.bea.p13n.delegation.management.NodeNameNotUniqueException`
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`

### deleteRole

    void deleteRole(String roleName,
                    ResourceContext context)
                    throws com.bea.p13n.delegation.management.NodeNotFoundException,
                           com.bea.p13n.entitlements.common.PolicyRefException,
                           com.bea.p13n.delegation.management.DelegationRoleManagementException

  Deletes a role from the delegation hierarchy

  Parameters
    `roleName` - Name of the role to delete.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException`
    `com.bea.p13n.entitlements.common.PolicyRefException`
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`

### addUserToRole

    void addUserToRole(String roleName,
                       String user,
                       ResourceContext context)
                       throws com.bea.p13n.delegation.management.NodeNotFoundException,
                              com.bea.p13n.delegation.management.DelegationRoleManagementException

  This method adds one user to a role definition.

  Parameters
    `roleName` - The role name to edit.
    `user` - The user to add to the role.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException`
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`

### addUsersToRole

    void addUsersToRole(String roleName,
                        List<String> users,
                        ResourceContext context)
                        throws com.bea.p13n.delegation.management.DelegationRoleManagementException,
                               com.bea.p13n.delegation.management.NodeNotFoundException

  This method adds multiple users to a role definition.

  Parameters
    `roleName` - The role name to edit.
    `users` - The users to add to the role definition.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`
    `com.bea.p13n.delegation.management.NodeNotFoundException`

### addGroupToRole

    void addGroupToRole(String roleName,
                        String group,
                        ResourceContext context)
                        throws com.bea.p13n.delegation.management.DelegationRoleManagementException,
                               com.bea.p13n.delegation.management.NodeNotFoundException

  This method adds one group to a role definition.

  Parameters
    `roleName` - The role name to edit.
    `group` - The group to add to the role.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`
    `com.bea.p13n.delegation.management.NodeNotFoundException`

### addGroupsToRole

    void addGroupsToRole(String roleName,
                         List<String> groups,
                         ResourceContext context)
                         throws com.bea.p13n.delegation.management.DelegationRoleManagementException,
                                com.bea.p13n.delegation.management.NodeNotFoundException

  This method adds multiple groups to a role definition.

  Parameters
    `roleName` - The role name to edit.
    `groups` - The users to add to the role definition.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`
    `com.bea.p13n.delegation.management.NodeNotFoundException`

### getRoleItem

    RolePolicyItem getRoleItem(String role,
                               ResourceContext context)
                               throws com.bea.p13n.entitlements.common.PolicyException,
                                      com.bea.p13n.entitlements.common.PolicyNotFoundException

  Getter for the role policy item.

  Parameters
    `role` - The role name used to obtain the RolePolicyItem for.
    `context` - the resource context
  Returns
    The `RolePolicyItem`.
  Throws
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

### getAllRoles

    Collection<String> getAllRoles(ResourceContext context)
                                   throws com.bea.p13n.delegation.management.DelegationHierarchyException

  Gets a pruned and sorted list of available Role Policies.

  Parameters
    `context` - the resource context
  Returns
    A `List` of all available Roles
  Throws
    `com.bea.p13n.delegation.management.DelegationHierarchyException`

### getRoot

    String getRoot(ResourceContext context)

  Getter for the root of the Delegation Hierarchy.

  Parameters
    `context` - the resource context
  Returns
    The root name as a `String`.

### getChild

    String getChild(String parent,
                    int index,
                    ResourceContext context)
                    throws com.bea.p13n.delegation.management.NodeNotFoundException,
                           com.bea.p13n.delegation.management.DelegationHierarchyException

  Gets a child name at a specified index from the parent node.

  Parameters
    `parent` - The parent name.
    `index` - The index of the child.
    `context` - the resource context
  Returns
    The `String` name of the child
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException` - if the parent or child entity cannot be found.
    `com.bea.p13n.delegation.management.DelegationHierarchyException`

### getChildRoles

    List<String> getChildRoles(String parent,
                               ResourceContext context,
                               boolean immediateOnly)
                               throws com.bea.p13n.delegation.management.NodeNotFoundException,
                                      com.bea.p13n.delegation.management.DelegationHierarchyException

  Gets all children of the parent node.

  Parameters
    `parent` - The parent name.
    `context` - the resource context
    `immediateOnly` - true if you want immediate children, false if you want all children (recursive)
  Returns
    A list of all the children
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException` - if the parent or child entity cannot be found.
    `com.bea.p13n.delegation.management.DelegationHierarchyException`

### isLeaf

    boolean isLeaf(String node,
                   ResourceContext context)
                   throws com.bea.p13n.delegation.management.NodeNotFoundException,
                          com.bea.p13n.delegation.management.DelegationHierarchyException

  Determines if a node has more child nodes or not.

  Parameters
    `node` - Node in qestion.
    `context` - the resource context
  Returns
    `true` if this node does not have more child nodes `false` if it does.
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException` - if the node entity cannot be found.
    `com.bea.p13n.delegation.management.DelegationHierarchyException`

### getDelegationHierarchy

    com.bea.p13n.delegation.common.DelegationHierarchy getDelegationHierarchy(ResourceContext context)
                                                                              throws com.bea.p13n.delegation.management.DelegationHierarchyException

  Gets the DelegationHierarchy

  Parameters
    `context` - the resource context
  Returns
    The `DelegationHierarchy`
  Throws
    `com.bea.p13n.delegation.management.DelegationHierarchyException`

### removeUsersFromRole

    void removeUsersFromRole(String roleName,
                             List<String> users,
                             ResourceContext context)
                             throws com.bea.p13n.delegation.management.NodeNotFoundException,
                                    com.bea.p13n.delegation.management.DelegationRoleManagementException,
                                    com.bea.p13n.entitlements.common.PolicyException,
                                    com.bea.p13n.entitlements.common.PolicyNotFoundException

  Given a list of users this method will remove them from the role definition.

  Parameters
    `roleName` - Name of the role to operate on.
    `users` - List of users to remove.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException`
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

### removeUserFromRole

    void removeUserFromRole(String roleName,
                            String user,
                            ResourceContext context)
                            throws com.bea.p13n.delegation.management.NodeNotFoundException,
                                   com.bea.p13n.delegation.management.DelegationRoleManagementException,
                                   com.bea.p13n.entitlements.common.PolicyException,
                                   com.bea.p13n.entitlements.common.PolicyNotFoundException

  Given a user name this method will remove it from the role definition.

  Parameters
    `roleName` - Name of the role to operate on.
    `user` - The role name to remove.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException`
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

### removeGroupsFromRole

    void removeGroupsFromRole(String roleName,
                              List<String> groups,
                              ResourceContext context)
                              throws com.bea.p13n.delegation.management.NodeNotFoundException,
                                     com.bea.p13n.delegation.management.DelegationRoleManagementException,
                                     com.bea.p13n.entitlements.common.PolicyException,
                                     com.bea.p13n.entitlements.common.PolicyNotFoundException

  Given a list of groups this method will remove them from the role definition.

  Parameters
    `roleName` - Name of the role to operate on.
    `groups` - List of groups to remove.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException`
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

### removeGroupFromRole

    void removeGroupFromRole(String roleName,
                             String group,
                             ResourceContext context)
                             throws com.bea.p13n.delegation.management.NodeNotFoundException,
                                    com.bea.p13n.delegation.management.DelegationRoleManagementException,
                                    com.bea.p13n.entitlements.common.PolicyException,
                                    com.bea.p13n.entitlements.common.PolicyNotFoundException

  Given a group name this method will remove it from the role definition.

  Parameters
    `roleName` - Name of the role to operate on.
    `group` - The group name to remove.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException`
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

### purgeRole

    void purgeRole(String roleName,
                   ResourceContext context)
                   throws com.bea.p13n.delegation.management.DelegationRoleManagementException

  Removes this role from all security policy references and deletes the role.

  Parameters
    `roleName` - The name of the role to purge
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.DelegationRoleManagementException` - occurs.

### getPolicyRefs

    SortableFilterablePagedResult<SecurityPolicyItem> getPolicyRefs(String roleName,
                                                                    int pageSize,
                                                                    ResourceContext context)
                                                                    throws com.bea.p13n.delegation.management.DelegationRoleManagementException

  Throws
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`

### setRoleSegmentLogicalAnd

    void setRoleSegmentLogicalAnd(String roleName,
                                  boolean val,
                                  ResourceContext context)
                                  throws com.bea.p13n.delegation.management.NodeNotFoundException,
                                         com.bea.p13n.delegation.management.DelegationRoleManagementException,
                                         com.bea.p13n.entitlements.common.PolicyException,
                                         com.bea.p13n.entitlements.common.PolicyNotFoundException

  Sets the role segment logical and boolean value for a given role. This is used to determine whether members of the given role must be in the specified users or groups AND match the role expressions, OR match the role expressions...

  Parameters
    `roleName` - Name of the role to operate on.
    `val` - The And value to set.
    `context` - the resource context
  Throws
    `com.bea.p13n.delegation.management.NodeNotFoundException`
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`
    `com.bea.p13n.entitlements.common.PolicyException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

### moveRole

    void moveRole(String roleName,
                  String newRoleParent,
                  ResourceContext context)
                  throws com.bea.p13n.delegation.management.NodeMoveNotAllowedException,
                         com.bea.p13n.delegation.management.NodeNameNotUniqueException,
                         com.bea.p13n.delegation.management.NodeNotFoundException,
                         com.bea.p13n.delegation.management.DelegationRoleManagementException

  Parameters
    `roleName` - The name of the role to be moved
    `newRoleParent` - The name of the new parent for roleName
    `context` -
  Throws
    `com.bea.p13n.delegation.management.NodeMoveNotAllowedException`
    `com.bea.p13n.delegation.management.NodeNameNotUniqueException`
    `com.bea.p13n.delegation.management.NodeNotFoundException`
    `com.bea.p13n.delegation.management.DelegationRoleManagementException`

### setDescription

    void setDescription(String roleName,
                        String newDescription,
                        ResourceContext context)
                        throws com.bea.p13n.delegation.management.DelegationRoleManagementException,
                               com.bea.p13n.delegation.management.NodeNotFoundException

  Set the description of a role policy.

  Parameters
    `roleName` - The role which will have its description updated.
    `newDescription` - The description to update.
  Throws
    `com.bea.p13n.delegation.management.DelegationRoleManagementException` - General management exception.
    `com.bea.p13n.delegation.management.NodeNotFoundException` - If the role represented by the roleName name doesn't exist.

### renameRole

    void renameRole(String roleName,
                    String newRoleName,
                    ResourceContext context)
                    throws com.bea.p13n.entitlements.common.PolicyRefException,
                           com.bea.p13n.delegation.management.NodeNameNotUniqueException,
                           com.bea.p13n.delegation.management.DelegationRoleManagementException,
                           com.bea.p13n.delegation.management.NodeNotFoundException

  Renames a role policy.

  Parameters
    `roleName` - The old role name.
    `newRoleName` - The new role name.
  Throws
    `com.bea.p13n.entitlements.common.PolicyRefException` - If at least one SecurityPolicy is assigned to the role represented by the old name.
    `com.bea.p13n.delegation.management.NodeNameNotUniqueException` - If the a role with the new name already exits
    `com.bea.p13n.delegation.management.DelegationRoleManagementException` - General management exception.
    `com.bea.p13n.delegation.management.NodeNotFoundException` - If the role represented by the old node name doesn't exist.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.